Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Interface AFPEventProducer

All Superinterfaces:
  EventProducer

    public interface AFPEventProducer

extends EventProducer

Event producer interface for AFP-specific events.

Nested Class Summary
`static class` | `AFPEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `characterSetEncodingError(java.lang.Object source, java.lang.String charSetName, java.lang.String encoding)` A character set encoding error occurred.
`void` | `charactersetMissingMetrics(java.lang.Object source, char character, java.lang.String charSet)` The characterset is missing metric information for the specified character
`void` | `characterSetNameInvalid(java.lang.Object source, java.lang.String msg)` The character set given has an invalid name.
`void` | `codePageNotFound(java.lang.Object source, java.lang.Exception e)` The code page for an AFP font could not be found.
`void` | `fontConfigMissing(java.lang.Object source, java.lang.String missingConfig, java.lang.String location)` A mandatory font configuration node is missing at location.
`void` | `invalidConfiguration(java.lang.Object source, java.lang.Exception e)` This is a generic event for invalid configuration errors.
`void` | `invalidDBFontInSVG(java.lang.Object source, java.lang.String fontFamily)` Double-byte fonts are not currently supported in SVG.
`void` | `resourceEmbeddingError(java.lang.Object source, java.lang.String resourceName, java.lang.Exception e)` Triggered when an external resource fails to be embedded.
`void` | `warnDefaultFontSetup(java.lang.Object source)` Warn about using default font setup.
`void` | `warnMissingDefaultFont(java.lang.Object source, java.lang.String style, int weight)` Warn about a missing default "any" font configuration.

Method Detail

### warnDefaultFontSetup

    void warnDefaultFontSetup(java.lang.Object source)

  Warn about using default font setup.

  Parameters:
    `source` - the event source
  Event severity level:
    WARN

### warnMissingDefaultFont

    void warnMissingDefaultFont(java.lang.Object source,
                                java.lang.String style,
                                int weight)

  Warn about a missing default "any" font configuration.

  Parameters:
    `source` - the event source
    `style` - the font style
    `weight` - the font weight
  Event severity level:
    WARN

### characterSetEncodingError

    void characterSetEncodingError(java.lang.Object source,
                                   java.lang.String charSetName,
                                   java.lang.String encoding)

  A character set encoding error occurred.

  Parameters:
    `source` - the event source
    `charSetName` - the character set name
    `encoding` - the encoding
  Event severity level:
    ERROR

### resourceEmbeddingError

    void resourceEmbeddingError(java.lang.Object source,
                                java.lang.String resourceName,
                                java.lang.Exception e)

  Triggered when an external resource fails to be embedded.

  Parameters:
    `source` - the event source
    `resourceName` - the name of the resource where the error occurred
    `e` - the original exception
  Event severity level:
    ERROR

### fontConfigMissing

    void fontConfigMissing(java.lang.Object source,
                           java.lang.String missingConfig,
                           java.lang.String location)

  A mandatory font configuration node is missing at location.

  Parameters:
    `source` - the event source
    `missingConfig` - the expected configuration element
    `location` - the position of the missing element within the config file.
  Event severity level:
    ERROR

### characterSetNameInvalid

    void characterSetNameInvalid(java.lang.Object source,
                                 java.lang.String msg)

  The character set given has an invalid name.

  Parameters:
    `source` - the event source
    `msg` - the error message
  Event severity level:
    ERROR

### codePageNotFound

    void codePageNotFound(java.lang.Object source,
                          java.lang.Exception e)

  The code page for an AFP font could not be found.

  Parameters:
    `source` - the event source
    `e` - the original exception
  Event severity level:
    ERROR

### invalidConfiguration

    void invalidConfiguration(java.lang.Object source,
                              java.lang.Exception e)

  This is a generic event for invalid configuration errors.

  Parameters:
    `source` - the event source
    `e` - the original exception
  Event severity level:
    ERROR

### charactersetMissingMetrics

    void charactersetMissingMetrics(java.lang.Object source,
                                    char character,
                                    java.lang.String charSet)

  The characterset is missing metric information for the specified character

  Parameters:
    `source` - the event source
    `character` - the character with missing metric information.
    `charSet` - the character set containing missing metric information
  Event severity level:
    WARN

### invalidDBFontInSVG

    void invalidDBFontInSVG(java.lang.Object source,
                            java.lang.String fontFamily)

  Double-byte fonts are not currently supported in SVG.

  Parameters:
    `source` - the event source
    `fontFamily` - name of DB font
  Event severity level:
    WARN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.